Name:           libsynce
Version:        0.9.3
Release:        1%{?dist}
Summary:        Connection library for Pocket PC devices

Group:          System Environment/Libraries
License:        MIT
URL:            http://www.synce.org
Source0:        http://download.sf.net/synce/synce-libsynce-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Provide an upgrade path from the monilithic synce package
Provides:       synce = %{version}-%{release}
Obsoletes:      synce <= 0.9.1-10

%description
The purpose of the SynCE project is to provide a means of
communication with a Windows CE device from a computer running Linux,
FreeBSD or a similar operating system.

%package devel
Summary: Development libraries and header files for SynCE
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains the header files and link libraries for SynCE
application development. SynCE provides support for communication
between a Windows CE device (PDA, smart phone) and a Linux machine.

For more details on the SynCE project, please refer to the project's
homepage at http://www.synce.org

%prep
%setup -q 

%build
%configure --disable-static --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README TODO
%{_libdir}/libsynce.so.0*
%{_mandir}/man1/synce.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc



%changelog
* Sat Mar 03 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.9.3-1
- split off the synce package
